Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 152973 - PHP should handle files with .phps extension correct
Summary: PHP should handle files with .phps extension correct
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: php
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On: 153068
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-31 15:32 UTC by Robert Scheck
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 5.0.4-2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-12 08:46:14 UTC


Attachments (Terms of Use)

Description Robert Scheck 2005-03-31 15:32:17 UTC
Description of problem:
PHP should handle files with .phps extension correct.

Version-Release number of selected component (if applicable):
php-5.0.3-5

Actual results / Expected results:
--- php.conf       2004-11-10 12:10:24.000000000 +0100
+++ php.conf.rsc   2005-02-28 16:10:18.000000000 +0100
@@ -12,6 +12,11 @@
 AddType text/html .php

 #
+# Cause the PHP interpreter to handle files with a .phps extension.
+#
+AddType application/x-httpd-php-source .phps
+
+#
 # Add index.php to the list of files that will be served as directory
 # indexes.
 #

Comment 1 Robert Scheck 2005-04-03 13:32:14 UTC
Thank you for checking in the enhancement into Core CVS, but why don't you enable
the .phps extension per default?!

Comment 2 Joe Orton 2005-04-03 13:42:20 UTC
Oh, just because it wasn't enabled by default before.

Comment 3 Joe Orton 2005-04-12 08:46:14 UTC
...which I think is OK.  It's not that common to want this, I think.


Note You need to log in before you can comment on or make changes to this bug.